@mixin first_font_w400 {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
}

@mixin second_font_w700 {
  font-family: "Roboto", sans-serif;
  font-weight: 700;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
.menu-btn {
  width: 30px;
  height: 30px;
  position: relative;
  z-index:2;
  overflow: hidden;
  display: none;
}

.menu-btn .bar {
  width: 30px;
  height: 4px;
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 4px;
  transform: translate(-50%, -50%);
  background-color: blue;
  transition: all 0.3s ease-in-out;
}

.menu-btn .bar:nth-of-type(2) {
  top: calc(50% - 9px);
}
.menu-btn .bar:nth-of-type(3) {
  top: calc(50% + 9px);
}

/* Меняем гамбургер иконку, когда меню открыто */
.menu-btn.active .bar:nth-of-type(1) {
  display: none;
}
.menu-btn.active .bar:nth-of-type(2) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(45deg);
}
.menu-btn.active .bar:nth-of-type(3) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(-45deg);
}


.nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 15px;
  background: #FFEFBA;
  transform: translateX(100%);
  transition: transform 0.5s;
}

.nav.active {
  transform: translateX(0);
}

.nav .nav__list_item {
  list-style-type: none;
}
.nav__list li {
  padding: 20px;
  list-style-type: none;
}
.nav__list li a {
  text-decoration: none;
  @include first_font_w400;
  text-transform: uppercase;
  color: #4E4E4E;
}
/*----------------------------------------*/
.container {
  max-width: 1200px;
  margin: auto;
}

.container_2 {
  max-width: 684px;
  margin: auto;
}



header {
    display: flex;
    justify-content: flex-end;
  nav {
    text-align: center;

    ul {
      li {
        display: inline-block;
        margin: 45px 41px 51px;

        a {
          @include first_font_w400;
          text-transform: uppercase;
          text-decoration: none;
          color: #4E4E4E;
        }

        :hover {
          color: #57A4A4;
          transition: .5s;

        }
      }
    }
  }
}

.sec_block_photo {
  margin-bottom: 66px;

  .sec_block_photo img {
    max-width: 100%;
  }
}

.recent_posts_block {
  h2 {
    color: #4E4E4E;
    font-size: 16px;
    text-transform: uppercase;
    line-height: 22px;
    @include second_font_w700
  }

  .actual_information {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);

    figure {
      display: flex;
      justify-content: flex-start;
      align-items: center;

      figcaption {
        margin-left: 20px;
        font-size: 12px;
        color: #7C7C7C;
        line-height: 20px;
        @include first_font_w400;

        figcaption p {

        }

        :first-child {
          font-size: 16px;
          color: #4E4E4E;
          line-height: 30px;
          @include second_font_w700;
        }

        :last-child {
          color: #5C5C5C;
          font-size: 12px;
          line-height: 26px;
        }

      }
    }
  }
}

.instagram_bg_block {
  background-color: #f7f7f7;
  padding-bottom: 50px;
}

.titles {
  display: flex;
  justify-content: space-between;
  flex-direction: row;

  h2 {
    @include second_font_w700;
    font-size: 16px;
    color: #4E4E4E;
    text-transform: uppercase;
  }

  h3 {
    @include second_font_w700;
    font-size: 13px;

    a {
      text-transform: uppercase;
      color: #4E4E4E;
      text-decoration: none;
    }
  }
}

.our_instagram_photo {
  display: grid;
  grid-column-gap: 10px;
  grid-template-rows: repeat(1, 1fr);
  grid-template-columns: repeat(4, 1fr);
}
.our_instagram_photo img{
  max-width: 100%;
}
.bg_footer {
  background-color: #000000;
  padding: 70px 0 70px;
}

.footer_content {
  text-align: center;

  h2 {
    @include second_font_w700;
    text-transform: uppercase;
    font-size: 16px;
    color: #FEFEFE;
  }

  .maecenas_faucibus {
    @include first_font_w400;
    font-size: 16px;
    color: #B9B9B9;
  }

  .address {
    font-size: 16px;
    color: #B9B9B9;
    @include first_font_w400;
  }
  .img_social{
    margin-right: 10px;
  }
}
@media only screen and (max-width: 768px) {
  .last_photo{
    display: none;
  }
  .our_instagram_photo {
    grid-template-columns: repeat(3, 1fr);
  }
  .sec_block_photo img {
    width: 760px;
    height: 361px;
  }
  .recent_posts_block .actual_information {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, 1fr);
  }
}
@media only screen and (max-width: 320px) {
  .menu-btn{
    display: block;
  }
  .sec_block_photo img {
    width: 315px;
    height: 361px;
  }
  .adaptation{
    display: none;
  }
  .adaptation_figure{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    figcaption{
      :last-child{
        display: none;
      }
    }
  }
  .adaptation_photo{
    display: none;
  }
  .our_instagram_photo {
    grid-template-columns: repeat(1, 1fr);
  }
}